## jnati 0.4

=== jnati-test-harness/Makefile ===

# Current native code version
LIB_NAME = jnati_test
VERSION = 1.01


## Check Java is configured

ifndef JAVA_HOME
f := $(error JAVA_HOME is not defined, ensure that it points to a JDK)
endif

ifeq (, $(wildcard $(JAVA_HOME)/bin/javah))
f := $(error javah not found, check that JAVA_HOME is pointing to a JDK)
endif

JAVAH = "$(JAVA_HOME)/bin/javah"


## Configure variables

LIB_VERSION = $(VERSION)-$(PLATFORM)

SRC_DIR = src/test/native/c
OUT_DIR = target/native/$(LIB_VERSION)

OBJ_DIR = $(OUT_DIR)/o

TARGET_FILE = $(LIB_PREFIX)$(LIB_NAME)-$(LIB_VERSION)$(LIB_SUFFIX)
TARGET = $(OUT_DIR)/$(TARGET_FILE)

JAVA_SRC_DIR = src/test/java
JAVA_CLASSPATH = target/test-classes

JAVA_CLASS = net.sf.jnati.testharness.NativeWrapper
JAVA_SOURCE = $(JAVA_SRC_DIR)/$(subst .,/,$(JAVA_CLASS)).java
JAVA_CLASS_FILE = $(subst .,/,$(JAVA_CLASS)).class

JAVAH_FLAGS += -classpath $(JAVA_CLASSPATH)
JAVAH_CMD = $(JAVAH) $(JAVAH_FLAGS) $(OUTPUT_OPTION)

RESOURCE_PATH = src/test/resources
ARTEFACT_PATH = META-INF/$(LIB_NAME)/$(VERSION)/$(PLATFORM)

OBJECTS =	$(OBJ_DIR)/nativewrapper.o

JNI_HEADER_DIR = target/generated-sources
JNI_HEADERS = $(JNI_HEADER_DIR)/net_sf_jnati_testharness_NativeWrapper.h

MANIFEST_FILE = $(OUT_DIR)/MANIFEST.xml

## Define default target

.PHONY: all
all: info copies

.PHONY: info
info:
	-@ echo "JAVA_HOME: $(JAVA_HOME)"
	-@ echo "TARGET: $(TARGET)"

.PHONY: clean
clean:
	$(RM) $(TARGET) $(OBJECTS) $(JNI_HEADERS)
	$(RM) -r $(OBJ_DIR)


## Include OS specific configuration (TARGET must be configured first)

# PLATFORM environment variable must be set
ifndef PLATFORM
f := $(error PLATFORM is not defined)
endif

ifneq (,$(findstring WINDOWS, $(PLATFORM)))
include src/test/native/Makefile.windows
else
ifneq (,$(findstring LINUX, $(PLATFORM)))
 include src/test/native/Makefile.linux
else
 ifneq (,$(findstring MAC, $(PLATFORM)))
  include src/test/native/Makefile.mac
 else
  ifneq (,$(findstring FREEBSD, $(PLATFORM)))
   include src/test/native/Makefile.freebsd
  else
   ifeq ($(PLATFORM),SUNOS-X86)
    include src/test/native/Makefile.solaris.x86
   else
    ifeq ($(PLATFORM),SUNOS-AMD64)
     include src/test/native/Makefile.solaris.amd64
    else
     f := $(error Platform '$(PLATFORM)' not supported)
    endif
   endif
  endif
 endif
endif
endif

ifneq (,$(findstring WINDOWS-AMD64, $(PLATFORM)))
 include src/test/native/Makefile.vs
else
 include src/test/native/Makefile.gcc
endif



## Define targets


$(MANIFEST_FILE):
	-@ echo "<manifest id=\"$(LIB_NAME)\" version=\"$(VERSION)\" platform=\"$(PLATFORM)\" >" > $(MANIFEST_FILE)
	-@ echo "  <file library=\"true\">$(TARGET_FILE)</file>" >> $(MANIFEST_FILE)
	-@ echo "</manifest>" >> $(MANIFEST_FILE)

.PHONY: copies
copies: buildcopy

.PHONY: buildcopy
buildcopy: build
	-@ echo Copying to $(JAVA_CLASSPATH)
	-@ mkdir -p $(JAVA_CLASSPATH)/$(ARTEFACT_PATH)
	-@ cp -r $(TARGET) $(JAVA_CLASSPATH)/$(ARTEFACT_PATH)
	-@ cp -r $(MANIFEST_FILE) $(JAVA_CLASSPATH)/$(ARTEFACT_PATH)

.PHONY: build
build: nativedirs $(TARGET) $(MANIFEST_FILE)

.PHONY: nativedirs
nativedirs:
	mkdir -p $(OUT_DIR)
	mkdir -p $(OBJ_DIR)

$(JNI_HEADERS): $(JAVA_SOURCE) $(JAVA_CLASSPATH)/$(JAVA_CLASS_FILE) $(JNI_HEADER_DIR)
	$(JAVAH_CMD) -o $@ $(JAVA_CLASS)

$(JNI_HEADER_DIR):
	mkdir -p $(JNI_HEADER_DIR)

$(JAVA_CLASSPATH)/$(JAVA_CLASS_FILE):
	mvn -f pom.xml test-compile

=== debian/changelog ===
jnati (0.4-2) unstable; urgency=medium

  * Adding a patch disabling URL-decoding of paths on filesystem, as they do
    not seem to be encoded.

 -- Andrius Merkys <merkys@debian.org>  Wed, 16 Oct 2019 04:40:50 -0400

jnati (0.4-1) unstable; urgency=medium

  * Initial release (Closes: #939449)

 -- Andrius Merkys <merkys@debian.org>  Mon, 02 Sep 2019 08:09:29 -0400

=== debian/control ===
Source: jnati
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper (>= 12),
 default-jdk,
 maven-debian-helper (>= 2.1),
Build-Depends-Indep:
 default-jdk-doc,
 junit4 (>= 4.12),
 libcommons-io-java (>= 2.0.1),
 libcommons-io-java-doc,
 libexec-maven-plugin-java,
 liblog4j1.2-java (>= 1.2.14),
 liblog4j1.2-java-doc,
 libmaven-javadoc-plugin-java,
 libmaven3-core-java (>= 2.2.1),
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/java-team/jnati.git
Vcs-Browser: https://salsa.debian.org/java-team/jnati
Homepage: http://jnati.sourceforge.net/

Package: libjnati-java
Architecture: all
Depends:
 ${maven:Depends},
 ${misc:Depends},
Suggests:
 libjnati-java-doc,
 ${maven:OptionalDepends},
Description: Java Native Execution Framework
 A toolkit for working with native, non-Java, programs and libraries from
 within Java.

Package: libjnati-java-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-jquery-ui,
 ${maven:Depends},
 ${misc:Depends},
Recommends:
 ${maven:DocDepends},
 ${maven:DocOptionalDepends},
Suggests:
 libjnati-java,
Description: Documentation for Java Native Execution Framework
 A toolkit for working with native, non-Java, programs and libraries from
 within Java.
 .
 This package contains the API documentation of libjnati-java.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installdocs:
	dh_installdocs
	for DIR in core deploy proc; \
	do \
		JQUERY_DIR=$(CURDIR)/debian/libjnati-java-doc/usr/share/doc/libjnati-java/jnati-$${DIR}/jquery; \
		ln -fs /usr/share/javascript/jquery/jquery.js $${JQUERY_DIR}/external/jquery/jquery.js; \
		ln -fs /usr/share/javascript/jquery/jquery.js $${JQUERY_DIR}/jquery-3*.js; \
		ln -fs /usr/share/javascript/jquery-ui/themes/base/jquery-ui.css $${JQUERY_DIR}/jquery-ui.css; \
		ln -fs /usr/share/javascript/jquery-ui/jquery-ui.js $${JQUERY_DIR}/jquery-ui.js; \
		ln -fs /usr/share/javascript/jquery-ui/themes/base/jquery-ui.min.css $${JQUERY_DIR}/jquery-ui.min.css; \
		ln -fs /usr/share/javascript/jquery-ui/jquery-ui.min.js $${JQUERY_DIR}/jquery-ui.min.js; \
	done

=== debian/watch ===
version=4
opts="mode=svn,uversionmangle=s/-(alpha|beta|rc)(-)?/~$1$2/" \
 https://svn.code.sf.net/p/jnati/code/jnati/tags jnati-(\d.*)\/
